ServiceMBean (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.catalina.mbeans

## Class ServiceMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.BaseCatalinaMBean<Service>
    - - org.apache.catalina.mbeans.ServiceMBean

- All Implemented Interfaces:
    `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `javax.management.modelmbean.ModelMBeanNotificationBroadcaster`, `javax.management.NotificationBroadcaster`

      public class ServiceMBean
      extends BaseCatalinaMBean<Service>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceMBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConnector​(java.lang.String address, int port, boolean isAjp, boolean isSSL)` | Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.
    `void` | `addExecutor​(java.lang.String type)` | Adds a named executor to the service
    `java.lang.String[]` | `findConnectors()` | Find and return the set of Connectors associated with this Service.
    `java.lang.String[]` | `findExecutors()` | Retrieves all executors.
    `java.lang.String` | `getExecutor​(java.lang.String name)` | Retrieves executor by name

    - ### Methods inherited from class org.apache.catalina.mbeans.BaseCatalinaMBean

      `doGetManagedResource, newInstance`

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceMBean

          public ServiceMBean()

  - ### Method Detail

    - #### addConnector

          public void addConnector​(java.lang.String address,
                                   int port,
                                   boolean isAjp,
                                   boolean isSSL)
                            throws javax.management.MBeanException

      Add a new Connector to the set of defined Connectors, and associate it with this Service's Container.
      Parameters:
        `address` - The IP address on which to bind
        `port` - TCP port number to listen on
        `isAjp` - Create a AJP/1.3 Connector
        `isSSL` - Create a secure Connector
      Throws:
        `javax.management.MBeanException` - error creating the connector

    - #### addExecutor

          public void addExecutor​(java.lang.String type)
                           throws javax.management.MBeanException

      Adds a named executor to the service
      Parameters:
        `type` - Classname of the Executor to be added
      Throws:
        `javax.management.MBeanException` - error creating the executor

    - #### findConnectors

          public java.lang.String[] findConnectors()
                                            throws javax.management.MBeanException

      Find and return the set of Connectors associated with this Service.
      Returns:
        an array of string representations of the connectors
      Throws:
        `javax.management.MBeanException` - error accessing the associated service

    - #### findExecutors

          public java.lang.String[] findExecutors()
                                           throws javax.management.MBeanException

      Retrieves all executors.
      Returns:
        an array of string representations of the executors
      Throws:
        `javax.management.MBeanException` - error accessing the associated service

    - #### getExecutor

          public java.lang.String getExecutor​(java.lang.String name)
                                       throws javax.management.MBeanException

      Retrieves executor by name
      Parameters:
        `name` - Name of the executor to be retrieved
      Returns:
        a string representation of the executor
      Throws:
        `javax.management.MBeanException` - error accessing the associated service